
<div class="position-absolute top-50 left-50 w-100 text-center faded" style="transform: translate(-50%, -50%)">
    <p class="text-secondary">
        No cuenta con una residencia registrada
    </p>
    <button class="btn btn-info btn-sm mr-2" (click)="open()">
        Ingresar codigo
    </button>
    <button class="btn btn-success btn-sm text-white" (click)="open()">
        Solicitar codigo
    </button>
</div>

<ng-template #component>
    <div class="card border-0">
        <div class="card-header bg-dark text-white border-bottom border-info">
            <span class="font-weight-medium ml-2" style="line-height: 24px;">
                <i class="mdi mdi-tag-plus"></i>
                Codigo de Residencia
            </span>
            <button class="btn btn-icon btn-danger btn-sm float-right" placement="bottom"
                ngbTooltip="Salir" (click)="close()">
                <i class="mdi mdi-close mdi-bold"></i>
            </button>
        </div>
    </div>
    <div class="card-body">
        <div class="row">
            <div class="col-md-12 text-center">
                <small class="text-muted">
                    Ingresa el codigo de tu residencia dado por el administrador
                </small>
            </div>
        </div>
        <div class="row my-2">
            <div class="col-md-12" input-wrapper label="Codigo de Residencia">
                <input type="text" class="form-control" name="code" [(ngModel)]="residenciaCode"
                    #code="ngModel" ngbAutofocus autocomplete="off" minlength="4" maxlength="8"
                    required (keyup.enter)="ready()">
            </div>
        </div>
        <div class="row">
            <div class="col-4 mx-auto">
                <button class="btn btn-info btn-block" [disabled]="code.invalid || (service.loading | async) === true"
                    (click)="ready()">
                    <span class="spinner-border spinner-border-sm text-white" *ngIf="(service.loading | async) === true"></span>
                    &nbsp;Listo
                </button>
            </div>
        </div>
    </div>
</ng-template>
